<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Candidate List</title>
</head>
<body>
    <h2>รายชื่อผู้เข้าสมัคร</h2>
    <table>
        <thead>
            <tr>
                <th>ชื่อ - สกุล</th>
                <th>เลขประจำตัวนักศึกษา</th>
                <th>ชั้นปี</th>
                <th>GPAX</th>
                <th>วันที่สมัคร</th>
                <th>หลักสูตร</th>
                <th>สถานะ</th>
                <th>ดูข้อมูล</th>
            </tr>
        </thead>
        <tbody>
        <tr th:each="candidate: ${candidate}">
            <td>
                <span th:text="${candidate.getUser().getStudentEntity().getFirstname()}"/>
                <span th:text="${candidate.getUser().getStudentEntity().getLastname()}"/>

            </td>
            <td th:text="${candidate.getUser().getUsername()}"/>
            <td th:text="${candidate.getUser().getStudentEntity().getYear().getYear()}"/>
            <td th:text="${candidate.getUser().getStudentEntity().getGpa()}"/>
            <td th:text="${#strings.substring(candidate.getDatetime(),0,10)}"/>
            <td th:text="${candidate.getUser().getStudentEntity().getDepartment().getDepartmentName()}"/>
            <td>
                <div th:if="${candidate.getInterviewStatus() == 0}"> รอเรียกสัมภาษณ์</div>
                <div th:if="${candidate.getInterviewStatus() == 1}"> ถูกเรียกสัมภาษณ์แล้ว</div>
            </td>
            <td>
                <form th:action="@{/job/student_detail}" method="get">
                    <input type="hidden" name="studentId" th:value="${candidate.getUser().getUserId()}">
                    <input type="hidden" name="interviewStatus" th:value="${candidate.getInterviewStatus()}">
                    <input type="hidden" name="jobId" th:value="${jobId}">
                    <button type="submit">ดูข้อมูลเพิ่มเติม</button>
                </form>
            </td>
        </tr>
        </tbody>
    </table>
</body>
</html>